---
default: &default
  source_path: frontend
  source_entry_path: packs
  public_output_path: packs
  compile: true
  cache_path: tmp/cache/webpacker

  # Reload manifest.json on all requests so we reload latest compiled packs.
  cache_manifest: false

  extensions:
    - .js
    - .jsx

development:
  <<: *default
  # Reference: https://webpack.js.org/configuration/dev-server/
  dev_server:
    https: false
    host: localhost
    port: 3035
    public: localhost:3035
    hmr: false
    # Inline should be set to true if using HMR
    inline: true
    overlay: true
    compress: true
    disable_host_check: true
    use_local_ip: false
    quiet: false
    headers:
      'Access-Control-Allow-Origin': '*'
    watch_options:
      ignored: /node_modules/

test:
  <<: *default
  public_output_path: test_packs

production:
  <<: *default
  # Production depends on precompilation of packs prior to booting.
  compile: false

  # Cache manifest.json for performance
  cache_manifest: true
